<div fxLayout="column" fxLayoutAlign="space-around center" fxLayoutGap="100px" class="center-layout">
  <span class="title-page">{{'identite' | translate}} </span>
  <div class="info-perso-yellow-ligne"></div>
  <span class="pour-commencer"> {{'pour' | translate}} <span class="text-style-1">{{'commencer' | translate}}</span>
    {{'remplirInfo' | translate}} <span class="text-style-1">{{'informations' | translate}}</span> </span>

  <form [formGroup]="personalInfoForm" (ngSubmit)="personalInfoToNextStep()" class="form-style" style="width: 525px !important;">
    <mat-radio-group formControlName="civility" aria-label="Select an option" fxLayout="row">
      <mat-radio-button fxLayout="column" value="MONSIEUR" class="btn-monsieur"><span class="text-style-civility">{{'monsieur' |
          translate}}</span></mat-radio-button>
      <mat-radio-button fxLayout="column" value="MADAME" class="btn-madame"><span class="text-style-civility">{{'madame' |
          translate}}</span></mat-radio-button>
    </mat-radio-group>

    <div fxLayout="row" fxLayoutAlign="space-between center" class="btn-name-info  style-margin-row"
      fxLayout.xs="column">
      <div fxLayout="column" class="espace">
        <label style="margin-top: 25px !important;"> {{'nom' | translate}}</label>
        <input formControlName="firstName" type="text" (keypress)="!numberOnly($event)" required
          [ngClass]="{ 'is-invalid':  submitted&&f.firstName.errors}" class="btnstyle" placeholder="Kamoun">

      </div>

      <div fxLayout="column" class="error-style">
        <div
          *ngIf="personalInfoForm.controls['firstName'].invalid && (personalInfoForm.controls['firstName'].dirty || personalInfoForm.controls['firstName'].touched || submitted&&f.firstName.errors)"
          class="error-message">
          <div *ngIf="personalInfoForm.controls['firstName'].errors">
            {{'nom_error' | translate}}
          </div>
        </div>
      </div>


      <div fxLayout="column" class="espace">
        <label style="margin-top: 25px !important;"> {{'prenom' | translate}}</label>
        <input type="text" formControlName="lastName"  required
          [ngClass]="{ 'is-invalid':  submitted&&f.lastName.errors}" class="btnstyle" placeholder="Ahmed">
      </div>
      <div fxLayout="column" class="error-style">
        <div
          *ngIf="personalInfoForm.controls['lastName'].invalid && (personalInfoForm.controls['lastName'].dirty || personalInfoForm.controls['lastName'].touched || submitted&&f.lastName.errors)"
          class="error-message">
          <div *ngIf="personalInfoForm.controls['lastName'].errors">
            {{'prenom_error' | translate}}
          </div>
        </div>
      </div>


    </div>
    <div fxLayout="row" fxLayoutAlign="space-between center" class="btn-name-info" fxLayout.xs="column">
      <div fxLayout="column" class="error1">
        <div
          *ngIf="personalInfoForm.controls['firstName'].invalid && (personalInfoForm.controls['firstName'].dirty || personalInfoForm.controls['firstName'].touched || submitted&&f.firstName.errors)"
          class="error-message">
          <div *ngIf="personalInfoForm.controls['firstName'].errors">
            {{'nom_error' | translate}}
          </div>
        </div>
      </div>
      <div fxLayout="column" class="error1">
        <div
          *ngIf="personalInfoForm.controls['lastName'].invalid && (personalInfoForm.controls['lastName'].dirty || personalInfoForm.controls['lastName'].touched || submitted&&f.lastName.errors)"
          class="error-message">
          <div *ngIf="personalInfoForm.controls['lastName'].errors">
            {{'prenom_error' | translate}}
          </div>
        </div>
      </div>
    </div>

    <div fxLayout="row" fxLayoutAlign=" none" class="btn-tel-info  style-margin-row">
      <div fxLayout="column" fxFlex="100">
        <label style="margin-top: 25px !important;"> {{'telephone' | translate}}</label>
        <!-- <input formControlName="phone" type="number"> -->
        <form #form="ngForm">
          <intl-tel-input #childAttr class="phone" (click)="focusPhoneInput()" (keypress)="numberOnly($event)"
            (focusout)="validation(form)" [name]="'phone'" [cssClass]="'form-control '"
            [labelCssClass]="'col-sm-2 col-form-label'" [required]="true" id="phonenum" [options]="{
           preferredCountries: ['fr'],
           localizedCountries: { ch: 'Suisse' },
           onlyCountries: countryCodes
       }" [onlyLocalized]="true" [(E164PhoneNumber)]="E164PhoneNumber"></intl-tel-input>
        </form>

        <div *ngIf="isPhoneInputFocused" class="polygone">

        </div>
        <div *ngIf="isPhoneInputFocused" class="input-info-desc-tel" fxLayout="row" fxLayoutAlign="space-around center">
          <div class="img-layout">
            <img src="../../../assets/img/Icon feather-phone-call.svg" style=" margin-bottom: 20px !important  ;">
          </div>
          <div style="padding-right: 38px;" class="text-layout">
            <span> {{'signecontrat' | translate}} <br />{{'securiserOuverture' | translate}} <br /> {{'mobilePersonnel'
              | translate}}</span>
          </div>
        </div>
      </div>
    </div>


    <div fxLayout="row" fxLayoutAlign=" none" class="btn-mail-info  style-margin-row">
      <div fxLayout="column" fxFlex="100">
        <label style="margin-top: 25px !important;"> {{'mail' | translate}}</label>
        <input formControlName="email" (focus)="focusMailInput()" type="email"
          [ngClass]="{ 'is-invalid': submitted&&f.email.errors}" required placeholder="Ex: Kamoun.ahmed@gmail.com">
        <div *ngIf="isMailInputFocused" class="polygone"></div>
        <div *ngIf="isMailInputFocused" class="input-info-desc-mail" fxLayout="row" fxLayoutAlign="space-around center">
          <div class="img-layout">
            <img src="../../../assets/img/Icon feather-mail.svg">
          </div>
          <div style="padding-right: 70px;" class="text-layout">
            <span> {{'remarqueAdresse' | translate}} <br /> {{'evolution' | translate}}</span>
          </div>
        </div>
      </div>
    </div>



    <div fxLayout="row" fxLayoutAlign="space-between center" class="btn-naissance-info  style-margin-row"
      fxLayout.xs="column">
      <div fxLayout="column">
        <label style="margin-top: 25px !important;">{{'dateNaissance' | translate}}</label>
        <input type="date" class="date-input" formControlName="birthday"
          [ngClass]="{ 'is-invalid': submitted&&f.birthday.errors}" required>
      </div>
      <div fxLayout="column">
        <label style="margin-top: 25px !important;">{{'paysNaissance' | translate}}</label>
        <!-- <input formControlName="nativeCountry" type="text"> -->
        <mat-form-field>
          <mat-select formControlName="nativeCountry">
            <mat-select-trigger>
              <div fxLayout="row" fxLayoutAlign="space-between center" fxLayoutGap="10px"
                style="margin-top: 12px;">
                <mat-icon class="flag-icon flag-icon-{{getSelectedFlag().flag |lowercase}}" matSuffix
                  style="padding-right: 10px;"></mat-icon>
                {{getSelectedFlag().name}}
              </div>
            </mat-select-trigger>
            <mat-option *ngFor="let nativeCountry of nativeCountries" [value]="nativeCountry.name"
              style="font-family: 'Source Sans Pro',monospace;">
              <mat-icon class="flag-icon flag-icon-{{nativeCountry.flag |lowercase}}" matSuffix
                style="font-family: 'Source Sans Pro',monospace;"></mat-icon>
              {{nativeCountry.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>

      </div>

    </div>
    <div class="form-control">
      <label class="container">
        {{'mentions_legales' | translate}}
        <input type="checkbox" (click)="openDialog()">
        <span class="checkmark"></span>
      </label>
    </div>


    <div fxLayout="row" fxLayoutAlign="space-evenly center" class="style-margin-button">
      <button class="btn-retour button-ret" fxLayout="row" (click)="personalInfoToPrevStep()"
        fxLayoutAlign="space-evenly center"><span class="material-icons">
          arrow_back_ios
        </span><span class="Retour">Retour</span></button>
      <button type="submit" class="btn-continuer btn-con"><span class="continuer">{{'continue' |
          translate}}</span></button>
    </div>
  </form>
  <div class="rectangle-pi" fxLayout="column">
    <div class="confidentialit" fxLayout="row" fxLayoutGap="10px">
      <img src="../../../assets/img/Icon simple-openaccess.svg">
      <div> Confidentialité</div>
    </div>
    <div class="attijari-bank-conf">
      Attijari bank vous garantit la confidentialité de vos données personnelles Conformément à la Réglementation sur la
      protection des données personnelles, vos données recueillies sur ce formulaire sont nécessaires à Attijari bank
      pour permettre l’ouverture du compte courant. Elles font l'objet d'un traitement automatique uniquement à des fins
      de finalisation de votre demande. A défaut, votre demande ne sera pas traitée.
    </div>
  </div>
  </div>
